%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define hrss@50% results for each waveform and each pipeline for O3b.
% Source : https://git.ligo.org/publications/O3/o3-burst-long-transient/-/issues/16
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

PIPELINES = {'Zebragard','Lonetrack','cWB','X'};

dic = classes.waveforms.dictionary;

%% === ZEBRAGARD === %%
% source https://git.ligo.org/publications/O3/o3-burst-long-transient/-/blob/master/script/eff/stamp_zebragard_O3b.csv
% GRB plateau
Tb.Zebragard.GRBplateauShort = 5.6956e-22;
% ISCO chirp
Tb.Zebragard.ISCOchirpA = 2.8041e-21;
Tb.Zebragard.ISCOchirpB = 8.466e-22	;
Tb.Zebragard.ISCOchirpC = 5.0248e-22;
% NCSA-CAM 
Tb.Zebragard.NCSACAM_A = 1.0085e-21;
Tb.Zebragard.NCSACAM_B = 7.3318e-22;
Tb.Zebragard.NCSACAM_C = 7.2257e-22;
Tb.Zebragard.NCSACAM_D = 1.0286e-21;
Tb.Zebragard.NCSACAM_E = 8.4869e-22;
Tb.Zebragard.NCSACAM_F = 7.0547e-22;
Tb.Zebragard.NCSACAM_G = 1.0e-20%1.5427e-21;
Tb.Zebragard.NCSACAM_H = 1.5904e-21;
Tb.Zebragard.NCSACAM_I = 1.166e-21;
% ADI 
Tb.Zebragard.adiB = 2.8289e-22;
% MAGNETAR
Tb.Zebragard.maXgnetarD = 3.2126e-21;
Tb.Zebragard.maXgnetarE = 2.2342e-21;
Tb.Zebragard.maXgnetarF = 1.0433e-21;
% SG
Tb.Zebragard.sgC = 2.5453e-21;
% WNB 
Tb.Zebragard.wnbA = 1.2085e-21;
Tb.Zebragard.wnbB = 1.1641e-21;

%% === LONETRACK === %%
% source https://git.ligo.org/publications/O3/o3-burst-long-transient/-/blob/master/script/eff/stamp_lonetrack_O3b.csv
% GRB plateau
Tb.Lonetrack.GRBplateauShort = 5.09385e-22;
% ISCO CHIRP
Tb.Lonetrack.ISCOchirpA = 3.67526e-21;
Tb.Lonetrack.ISCOchirpB = 9.66264e-22;
Tb.Lonetrack.ISCOchirpC = 5.27046e-22;
% NCSA-CAM
Tb.Lonetrack.NCSACAM_A = 1.1444e-21;
Tb.Lonetrack.NCSACAM_B = 1.18541e-21;
Tb.Lonetrack.NCSACAM_C = 1.40972e-21;
Tb.Lonetrack.NCSACAM_D = 1.51733e-21;
Tb.Lonetrack.NCSACAM_E = 1.51559e-21;
Tb.Lonetrack.NCSACAM_F = 2.67713e-21;
Tb.Lonetrack.NCSACAM_G = 2.03771e-21;
Tb.Lonetrack.NCSACAM_H = 2.70255e-21;
Tb.Lonetrack.NCSACAM_I = 3.0205e-21;
% ADI
Tb.Lonetrack.adiB = 3.68985e-22;
% Magnetar
Tb.Lonetrack.maXgnetarD = 1.9685e-21;
Tb.Lonetrack.maXgnetarE = 1.18735e-21;
Tb.Lonetrack.maXgnetarF = 7.98198e-22;
% SG 
Tb.Lonetrack.sgC = 1.0974e-20;
% WNB 
Tb.Lonetrack.wnbA = 2.0591e-20;
Tb.Lonetrack.wnbB = 2.66082e-20;

%% === CWB === %%
% source https://wiki.ligo.org/Bursts/CWB_BurstLD_O3b
% GRB plateau
Tb.cWB.GRBplateauShort = NaN;
% ISCO CHIRP
Tb.cWB.ISCOchirpA = 1.20e-21  ;
Tb.cWB.ISCOchirpB = 9.10e-22  ;
Tb.cWB.ISCOchirpC = 5.51e-22  ;
% NCSA-CAM
Tb.cWB.NCSACAM_A = 7.95e-22 ;
Tb.cWB.NCSACAM_B =  7.03e-22  ;
Tb.cWB.NCSACAM_C =  6.53e-22  ;
Tb.cWB.NCSACAM_D = 8.32e-22 ;
Tb.cWB.NCSACAM_E = 7.95e-22  ;
Tb.cWB.NCSACAM_F =  7.52e-22 ;
Tb.cWB.NCSACAM_G =  1.44e-21 ;
Tb.cWB.NCSACAM_H =   1.39e-21  ;
Tb.cWB.NCSACAM_I = 1.03e-21 ;
% ADI
Tb.cWB.adiB =  2.61e-22  ;
% MAGNETAR
Tb.cWB.maXgnetarD =  3.13e-21 ;
Tb.cWB.maXgnetarE =  2.09e-21 ;
Tb.cWB.maXgnetarF = 1.26e-21  ;
% SG
Tb.cWB.sgC = NaN;
% WNB 
Tb.cWB.wnbA =   1.41e-21  ;
Tb.cWB.wnbB =   1.39e-21  ;

%% === X === %%
% source https://git.ligo.org/publications/O3/o3-burst-long-transient/-/blob/master/script/eff/XSphRad_O3b.csv
% GRB plateau
Tb.X.GRBplateauShort = 8.68163e-21;
% ISCO CHIRP
Tb.X.ISCOchirpA = 1.83812e-21;
Tb.X.ISCOchirpB = 3.42342e-21;
Tb.X.ISCOchirpC = 2.45084e-21;
% NCSA-CAM
Tb.X.NCSACAM_A = 1.75123e-20;
Tb.X.NCSACAM_B = 6.4173e-21;
Tb.X.NCSACAM_C = 3.48638e-21;
Tb.X.NCSACAM_D = 1.23252e-20;
Tb.X.NCSACAM_E = 7.36339e-21;
Tb.X.NCSACAM_F = 2.56395e-21;
Tb.X.NCSACAM_G = NaN;
Tb.X.NCSACAM_H = NaN;
Tb.X.NCSACAM_I = NaN;
% ADI
Tb.X.adiB = 1.42854e-21;
% MAGNETAR
Tb.X.maXgnetarD = 1.46304e-20;
Tb.X.maXgnetarE = 5.13112e-21;
Tb.X.maXgnetarF = 5.46171e-21;
% SG 
Tb.X.sgC = NaN;
% WNB 
Tb.X.wnbA = NaN;
Tb.X.wnbB = NaN;
