function cfit=fit_eff(X,Y)
% fit_eff :
% DESCRIPTION :
% 
% SYNTAX :
%   [] = fit_eff ()
% 
% INPUT : 
%    
% AUTHOR : Valentin FREY    
% CONTACT : frey@lal.in2p3.fr
% VERSION :
% DATE : 
%
  ft = fittype('a/(1+(x/v50)^(b*(1+c*tanh(x/v50))))',...
               'independent', {'x'},...
               'coefficients',{'a','v50','b','c'});
  
  opt = fitoptions('Method','NonlinearLeastSquares',...
                   'MaxFunEvals',100000,...
                   'MaxIter',10000,...
                   'StartPoint',[1,      1, 10,  0],...
                   'Lower',     [0, min(X),  1, -1],...
                   'Upper',     [1, max(X), 50,  1],...
                   'Robust','LAR');
  
  [cfit,g,o] = fit(X,Y,ft,opt);
end


